"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GithubFetcher_1 = require("./GithubFetcher");
const plugin = {
    hooks: {
        async fetchHostedRepository(previous, locator, opts) {
            if (previous !== null)
                return previous;
            const fetcher = new GithubFetcher_1.GithubFetcher();
            if (!fetcher.supports(locator, opts))
                return null;
            try {
                return await fetcher.fetch(locator, opts);
            }
            catch (error) {
                return null;
            }
        },
    },
};
// eslint-disable-next-line arca/no-default-export
exports.default = plugin;
